%define upstream_name    App-Timestamper-Format
%define upstream_version 0.2.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Prefix lines with formatted timestamps of their arrivals
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Timestamper::Filter::TS)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
App::Timestamper is a pure-Perl command line program that filters the input
so the formatted timestamps based on the 'TIMESTAMPER_FORMAT' env var are
prefixed to the lines based on the time of the arrival.

So if the input was something like:

    First Line
    Second Line
    Third Line

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/ts-format
%{_mandir}/man1/ts-format.1*

%changelog
* Wed Jul 08 2020 tv <tv> 0.2.0-1.mga8
+ Revision: 1602943
- update to 0.2.0

* Wed Feb 12 2020 umeabot <umeabot> 0.0.2-3.mga8
+ Revision: 1503468
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-2.mga7
+ Revision: 1281670
- Mageia 7 Mass Rebuild

* Sat Feb 10 2018 shlomif <shlomif> 0.0.2-1.mga7
+ Revision: 1200172
- imported package perl-App-Timestamper-Format

